Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 960061 - Review Request: rubygem-guard - Guard gives notifications about file modifications
Summary: Review Request: rubygem-guard - Guard gives notifications about file modifica...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1268694 (view as bug list)
Depends On: 853781 960064
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-05-06 14:09 UTC by Anuj More
Modified: 2016-10-11 10:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-11 10:59:21 UTC


Attachments (Terms of Use)

Description Anuj More 2013-05-06 14:09:10 UTC
Spec URL: http://anujmore.fedorapeople.org/pkgs/rubygem-guard/rubygem-guard.spec
SRPM URL: http://anujmore.fedorapeople.org/pkgs/rubygem-guard/rubygem-guard-1.8.0-1.fc19.src.rpm
Description: Guard is a command line tool to easily handle events on file system modifications.
Fedora Account System Username: anujmore

Comment 1 Anuj More 2013-05-06 14:10:29 UTC
Additionally, mock builds: 

http://anujmore.fedorapeople.org/pkgs/rubygem-guard/mock-guard-build.log
http://anujmore.fedorapeople.org/pkgs/rubygem-guard/mock-guard-screen.txt

rpmlint gives this:

rubygem-guard.noarch: W: no-manual-page-for-binary guard
rubygem-guard.src:50: W: macro-in-comment %gem_dir
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 2 Josef Stribny 2013-05-06 14:46:18 UTC
I will take it for a review.

Comment 3 Josef Stribny 2013-05-07 11:33:25 UTC
* dependencies
  rubygem-listen > 1.0.0 is not yet packaged for Fedora [1],
  I added corresponding "depends on"

* licensing
  LICENSE file should be included in the main package

* %doc
  README.md and CHANGELOG.md could be marked as %doc

* man pages
  /man doesn't contain any executables so the content shouldn't be in the main
  package. I also think that since man page is included, it should be installed
  to a system man path so the user can really type "man guard" to see the manual.

  I suggest installing the man page as %{_mandir}/man1/guard.1 to %{buildroot} and put the .html version to the %doc subpackage.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=853781

Comment 4 Josef Stribny 2013-05-07 11:41:19 UTC
And I forgot:

* tests
  Please run the test suite [1] in %check

[1] https://github.com/guard/guard/tree/master/spec

Comment 5 Vít Ondruch 2014-10-09 12:58:12 UTC
The rubygem-listen was updated recently, so this review could continue.

Comment 6 Vít Ondruch 2015-10-20 11:46:09 UTC
*** Bug 1268694 has been marked as a duplicate of this bug. ***

Comment 8 Vít Ondruch 2016-01-04 08:50:19 UTC
Hi Ilya, are you going to take over this review?


Note You need to log in before you can comment on or make changes to this bug.